local LIB_AceAddon = LibStub("AceAddon-3.0") or error("Required library AceAddon-3.0 not found")
local Hermes = LibStub("AceAddon-3.0"):GetAddon("Hermes")
local MODNAME = "HermesMikSBT"
local HermesMikSBT = Hermes:NewModule(MODNAME)

local MikSBT = nil

function HermesMikSBT:OnEnable()
	MikSBT = _G["MikSBT"]
end

function HermesMikSBT:OnDisable()

end

function HermesMikSBT:OnInitialize()
	self:SetEnabledState(false)
end

function HermesMikSBT:SendNotReadyMessage(playerName, senderName, trackerName, trackerIcon, trackerClass)
	if(MikSBT and not MikSBT.IsModDisabled() and playerName ~= senderName) then
		--MikSBT.DisplayMessage(trackerName.." (|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r|TInterface\\RAIDFRAME\\ReadyCheck-NotReady.blp:0:0:0:0|t)", MikSBT.DISPLAYTYPE_NOTIFICATION, nil, nil, nil, nil, nil, nil, nil, trackerIcon)
		MikSBT.DisplayMessage("|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r (|T"..trackerIcon..":0:0:0:0|t"..trackerName..")", MikSBT.DISPLAYTYPE_NOTIFICATION, nil, nil, nil, nil, nil, nil, nil, "Interface\\RAIDFRAME\\ReadyCheck-NotReady.blp")
	end
end

function HermesMikSBT:SendReadyMessage(playerName, senderName, trackerName, trackerIcon, trackerClass)
	if(MikSBT and not MikSBT.IsModDisabled() and playerName ~= senderName) then
		--MikSBT.DisplayMessage(trackerName.." (|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r|TInterface\\RAIDFRAME\\ReadyCheck-Ready.blp:0:0:0:0|t)", MikSBT.DISPLAYTYPE_NOTIFICATION, nil, nil, nil, nil, nil, nil, nil, trackerIcon)
		MikSBT.DisplayMessage("|c"..Hermes:GetClassColorHEX(trackerClass)..senderName.."|r (|T"..trackerIcon..":0:0:0:0|t"..trackerName..")", MikSBT.DISPLAYTYPE_NOTIFICATION, nil, nil, nil, nil, nil, nil, nil, "Interface\\RAIDFRAME\\ReadyCheck-Ready.blp")
	end
end